Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Interface IDiagramDocumentProvider

All Known Implementing Classes:
  DiagramInputDocumentProvider, FileDiagramDocumentProvider, StorageDiagramDocumentProvider

    public interface IDiagramDocumentProvider

An interface to be implemented by all document providers, that create `IDiagramDocument`

Method Summary
`IEditorInput` `createInputWithEditingDomain(IEditorInput editorInput, TransactionalEditingDomain domain)`
`IDiagramDocument` `getDiagramDocument(java.lang.Object element)` Returns the diagram document.

Method Detail

### getDiagramDocument

    IDiagramDocument getDiagramDocument(java.lang.Object element)

  Returns the diagram document.

  Parameters:
    `element` - The Editor Input for which the diagram document is requred.
  Returns:
    the Diagram document.
  See Also:
    `IDocumentProvider.getDocument(Object)`

### createInputWithEditingDomain

    IEditorInput createInputWithEditingDomain(IEditorInput editorInput,
                                              TransactionalEditingDomain domain)

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.